%{?nodejs_find_provides_and_requires}
%global barename core-util-is
Name:                nodejs-core-util-is
Version:             1.0.3
Release:             1
Summary:             The util.is functions introduced in Node v0.12
License:             MIT
URL:                 https://github.com/isaacs/core-util-is
Source0:             https://github.com/isaacs/core-util-is/archive/refs/tags/v%{version}.tar.gz
BuildArch:           noarch
ExclusiveArch:       %{nodejs_arches} noarch
BuildRequires:       nodejs-packaging >= 6
%description
The util.is functions introduced in Node v0.12.

%prep
%autosetup -n core-util-is-%{version}
rm -rf node_modules/
%nodejs_fixdep --caret

%build
%nodejs_symlink_deps --build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/core-util-is
cp -pr package.json lib \
    %{buildroot}%{nodejs_sitelib}/core-util-is
%nodejs_symlink_deps

%files
%doc README.md
%license LICENSE
%{nodejs_sitelib}/core-util-is/

%changelog
* Sat Jul 02 2022 chenchen <chen_aka_jan@163.com> - 1.0.3-1
- Update to 1.0.3

* Mon Aug 17 2020 Anan Fu <fuanan3@huawei.com> - 1.0.2-1
- package init
